
ChiliProject - Bug # 373: Issue auto completion returns duplicates

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Issue tracking
Created: 2011-05-04 Assignee:
Updated: 2011-05-05 Due date:
Remote issue URL:
Affected version: 1.2.0
Description: The ID based Auto Completion introduced in #280 returns duplicate results for direct ID matches. This is 

because the query in 
"L9":https://github.com/chiliproject/chiliproject/blob/ae0851ddb43a6b213c133f50706023b04f4c075d/app/contr
ollers/auto_completes_controller.rb#L9 and 
"L12":https://github.com/chiliproject/chiliproject/blob/ae0851ddb43a6b213c133f50706023b04f4c075d/app/con
trollers/auto_completes_controller.rb#L12 both return the exact match.

Associated revisions
2011-05-04 07:01 pm - Gregor Schmidt 
[#373] Adding test and fix for duplicates in issue autocompleter

2011-05-04 07:12 pm - Gregor Schmidt 
[#373] Refactoring auto_completes#issues action

hoping to make it more intention revealing

2011-05-05 08:55 pm - Felix SchÃ¤fer 
Merge pull request #46 from schmidt/b/373-duplicates-in-issue-autocomplete

Avoid duplicates in issue autocomplete. #373

History
2011-05-04 05:33 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/46

2011-05-05 06:58 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Merged in commit:800cee5. Thanks!
